/**************************************************************************/
/* AN02 ( アンケート項目マスタ )                                          */
/*                                                                        */
/* Created : 2010/09/27 16:41:35                                          */
/**************************************************************************/
CREATE TABLE AN02 (
   USERID    VARCHAR(10)                 NOT NULL                  /* 10  ユーザーID       */
 , CDANK     VARCHAR(10)                 NOT NULL                  /* 20  アンケートC      */
 , CDSITSU   VARCHAR(10)                 NOT NULL                  /* 30  質問C            */
 , SEQNO     NUMERIC(7)      DEFAULT 0   NOT NULL                  /* 40  表示順           */
 , NAIYO     BLOB                                                  /* 50  質問内容         */
 , SITSUGRP  BLOB                                                  /* 60  質問グループ     */
 , IMGNAI    VARCHAR(200)                                          /* 70  質問画像         */
 , IMGSNAI   VARCHAR(10)                                           /* 80  質問画像(拡張子) */
 , FGKEY     VARCHAR(1)      DEFAULT '0' NOT NULL                  /* 90  キー項目F        */
 , FGMUST    VARCHAR(1)      DEFAULT '0' NOT NULL                  /* 100 回答必須F        */
 , KBUNRUI   VARCHAR(10)                 NOT NULL                  /* 110 回答値分類       */
 , KLENGTH   NUMERIC(9)      DEFAULT 10  NOT NULL                  /* 120 回答値桁数       */
 , KNOTE     VARCHAR(200)                                          /* 130 回答注釈         */
 , SUONELINE NUMERIC(9)      DEFAULT 1   NOT NULL                  /* 140 1行選択肢数      */
 , RSCODE    VARCHAR(20)                                           /* 150 連携用質問C      */
 , INIVAL    VARCHAR(50)                                           /* 160 初期値           */
 , CSKEY     VARCHAR(200)                                          /* 170 抽出キー         */
 , CSWAY     VARCHAR(10)                                           /* 180 抽出方法         */
 , SUCS      NUMERIC(9)      DEFAULT 0   NOT NULL                  /* 190 抽出件数         */
 , VDCDTN    VARCHAR(200)                                          /* 200 有効条件         */
 , SUPTRITSU NUMERIC(3)      DEFAULT 10  NOT NULL                  /* 210 得点比率         */
 , SUPOINT   NUMERIC(3)      DEFAULT 0   NOT NULL                  /* 220 得点             */
 , KAISETSU  BLOB                                                  /* 230 解説             */
 , BIKO      BLOB                                                  /* 240 備考             */
 , UNIQ      BIGINT                      NOT NULL PRIMARY KEY      /* 250 ユニークキー     */
 , FGJ       VARCHAR(1)      DEFAULT '1' NOT NULL                  /* 260 状態フラグ       */
 , DYSET     VARCHAR(14)                                           /* 270 登録日時         */
 , PGSET     VARCHAR(10)                                           /* 280 作成PG           */
 , PGPSET    VARCHAR(10)                                           /* 290 作成親PG         */
 , USRSET    VARCHAR(10)                                           /* 300 作成社員         */
 , DYUPD     VARCHAR(14)                                           /* 310 更新日時         */
 , PGUPD     VARCHAR(10)                                           /* 320 更新PG           */
 , PGPUPD    VARCHAR(10)                                           /* 330 更新親PG         */
 , USRUPD    VARCHAR(10)                                           /* 340 更新者           */
);

CREATE SEQUENCE AN02S00 ;


CREATE TRIGGER AN02T00 FOR AN02
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( AN02S00,1 );
  END; 


